4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.CallTemplateElement

Implementation of the XSLT Spec call-template stylesheet element. WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: CallTemplateElement |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class CallTemplateElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)
prime(self, processor, context)
setup(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
doesPrime = 1
doesSetup = 1
legalAttrs = {'name': <Ft.Xml.Xslt.AttributeInfo.QName instance>}

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'